.blog-container {
  display: grid;
  gap: 1.5rem;
  grid-template-columns: repeat(12, 1fr);
  width: 100%;
  height: 92vh;
}

.blog-container > * {
  min-height: auto;
  min-width: auto;
}
.sidebar {
  grid-column: 1 / span 2;
  display: flex;
  align-items: center;
  justify-content: center;
}
.side-bar-links > * {
  margin: 1rem 0;
  padding: 1.5rem;
  cursor: pointer;
}
.side-bar-links li:first-of-type {
  border-bottom: 1px solid #eee;
}
.blog-main {
  grid-column: 3 / span 8;
  overflow: auto;
  padding: 1.5rem;
}
.blog-main > * {
  margin: 1rem 0;
}
.featured {
  grid-column: 11 / -1;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}
.featured-search {
  position: relative;
}
.featured-search i {
  position: absolute;
  right: 3px;
  top: 15px;
  font-size: 1.7rem;
  color: #222;
}
.featured > * {
  margin: 1rem 0;
}
.featured > div > * {
  margin: 1rem 0;
}
.featured-filter {
  display: flex;
  flex-direction: column;
}

.filter-box {
  display: flex;
}

.filter-box label {
  margin-left: 2.5rem;
}
.featured select,
.featured input[type="text"] {
  width: 100%;
  padding: 1.5rem;
  border-radius: 6px;
  font-size: 1.5rem;
}
textarea {
  resize: vertical;
  padding: 1.5rem;
  border-radius: 6px;
  font-size: 1.5rem;
  min-height: 120px;
  border: 1px solid #222;
  border-bottom: 2px solid #222;
  outline: none;
  white-space: pre-wrap;
}
textarea:is(:hover, :focus) {
  border-color: #0391c5;
}
.blog-main form {
  width: 80%;
  margin: 1.5rem auto;
  position: relative;
}

.blog-form i {
  position: absolute;
  right: 6px;
  top: 6px;
  font-size: var(--font-size-2);
  cursor: pointer;
}
.blog-main form > * {
  margin: 0.5rem;
}

select {
  width: 100%;
  padding: 1.5rem;
  border-radius: 6px;
  font-size: 1.5rem;
  cursor: pointer;
  border: 1px solid #222;
  border-bottom: 2px solid #222;
}
select:focus {
  outline: none;
  border-color: #0391c5;
}
input[type="submit"] {
  padding: 2rem 0rem;
  border-radius: 5px;
  border: none;
  background-color: #04b0f0;
  color: #fff;
  font-weight: 600;
  letter-spacing: 0.5px;
  cursor: pointer;
  transition: 0.3s ease-in-out;
}
input[type="submit"]:is(:hover, :focus) {
  background-color: #0391c5;
}
input[type="checkbox"] {
  position: relative;
  cursor: pointer;
  width: 0px;
  height: 0px;
}
input[type="checkbox"]:before {
  content: "";
  position: absolute;
  display: block;
  width: 20px;
  height: 20px;
  border: 1px solid #222;
  border-bottom: 2px solid #222;
  border-radius: 5px;
  background-color: inherit;
}
input[type="checkbox"]:checked:before {
  content: "";
  display: block;
  position: absolute;
  width: 20px;
  height: 20px;
  border: 1px solid #222;
  border-bottom: 2px solid #222;
  border-radius: 5px;
  background-color: #0391c5;
}

.sidebar i {
  font-size: var(--font-size-2);
}
.blog-header {
  align-items: center;
}
.add {
  padding: 1rem;
  background-color: #eee;
  border-radius: 50%;
  font-size: var(--font-size-2);
  cursor: pointer;
  transition: 0.3s ease-in-out;
}

.add:is(:hover, :focus) {
  background-color: #ddd;
}

.add:active {
  background-color: #999;
}
@media screen and (max-width: 800px) {
  .blog-container {
    display: grid;
    gap: 1.5rem;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: 100px 1fr 60px;
    height: 90vh;
    width: 100%;
  }
  .featured {
    grid-column: 1/-1;
    grid-row: 1;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }
  .featured > div {
    flex: 1 1 1;
  }
  .featured-category label {
    display: none;
  }
  .sidebar {
    display: flex;
    grid-column: 1/-1;
    grid-row: 3;
  }
  .side-bar-links {
    display: flex;
    justify-content: space-around;
    width: 100%;
  }
  .side-bar-links li:first-of-type {
    border-bottom: none;
  }
  .blog-main {
    grid-column: 1/-1;
    grid-row: 2;
  }
}
